## ros-one-moveit 1.1.16-50jammy.20260128.2341

=== debian/changelog ===
ros-one-moveit (1.1.16-50jammy.20260128.2341) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 23:41:10 +0000

ros-one-moveit (1.1.16-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit (1.1.15-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit (1.1.14-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit (1.1.13-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit (1.1.12-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit (1.1.11-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit (1.1.10-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit (1.1.9-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit (1.1.8-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit (1.1.7-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit (1.1.6-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit (1.1.5-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit (1.1.4-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit (1.1.3-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit (1.1.2-0jammy) jammy; urgency=high

  * Fix formatting errors
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit (1.1.1-0jammy) jammy; urgency=high

  * [feature][visualization] Clean up Rviz Motion Planning plugin, add tooltips (#2310 <https://github.com/ros-planning/moveit/issues/2310>)
  * [feature][moveit_servo] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature][moveit_setup_assistant] Allow showing both, visual and collision geometry (#2352 <https://github.com/ros-planning/moveit/issues/2352>)
  * [fix][moveit_setup_assistant] layout (#2349 <https://github.com/ros-planning/moveit/issues/2349>)
  * [fix][moveit_setup_assistant] group editing (#2350 <https://github.com/ros-planning/moveit/issues/2350>)
  * [fix][moveit_setup_assistant] disappearing robot on change of reference frame (#2335 <https://github.com/ros-planning/moveit/issues/2335>)
  * Contributors: Felix von Drigalski, Michael Görner, Robert Haschke, Tyler Weaver, Yoan Mollard

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit (1.1.0-0jammy) jammy; urgency=high

  * [maint] Use standard cmake text for metapackages (#1620 <https://github.com/ros-planning/moveit/issues/1620>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Jonathan Binney, Robert Haschke, Sean Yen

 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit (1.0.1-0jammy) jammy; urgency=high

  * [fix] segfault in chomp adapter (#1377 <https://github.com/ros-planning/moveit/issues/1377>)
  * [capability] Graphically print current robot joint states with joint limits (#1358 <https://github.com/ros-planning/moveit/issues/1358>)
  * [capability] python PlanningSceneInterface.add_cylinder() (#1372 <https://github.com/ros-planning/moveit/issues/1372>)
  * [capability] Add time-optimal trajectory parameterization https://github.com/ros-planning/moveit/pull/1365
  * [capability] FCL as a plugin  https://github.com/ros-planning/moveit/pull/1370
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Dave Coleman, Robert Haschke, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Mar 2019 00:00:00 -0000

ros-one-moveit (1.0.0-0jammy) jammy; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [fix][moveit_setup_assistant] memory leaks (#1292 <https://github.com/ros-planning/moveit/issues/1292>)
  * [fix][moveit_core] invert waypoint velocities on reverse (#1335 <https://github.com/ros-planning/moveit/issues/1335>)
  * [fix][moveit_core]  Added missing robot state update to iterative spline parameterization to prevent warnings. (#1298 <https://github.com/ros-planning/moveit/issues/1298>)
  * [fix][moveit_core]  robot_model_test_utils depends on message generation (#1286 <https://github.com/ros-planning/moveit/issues/1286>)
  * [capability][moveit_kinematics] Adapt ikfast plugin to new KinematicsBase API. #1320 <https://github.com/ros-planning/moveit/issues/1320>
  * [improve] computeCartesianPath: limit joint-space jumps with IK consistency limits (#1293 <https://github.com/ros-planning/moveit/issues/1293>)
  * [improve] cleanup LMA kinematics solver #1318 <https://github.com/ros-planning/moveit/issues/1318>
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * [improve] Kinematics tests, kdl cleanup #1272 <https://github.com/ros-planning/moveit/issues/1272>, #1294 <https://github.com/ros-planning/moveit/issues/1294>


## ros-one-moveit 1.1.16-50noble.20260128.2359

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-one-moveit (1.1.16-50noble.20260128.2359) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 23:59:11 +0000

ros-one-moveit (1.1.16-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit (1.1.15-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit (1.1.14-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit (1.1.13-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit (1.1.12-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit (1.1.11-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit (1.1.10-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit (1.1.9-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit (1.1.8-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit (1.1.7-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit (1.1.6-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit (1.1.5-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit (1.1.4-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit (1.1.3-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit (1.1.2-0noble) noble; urgency=high

  * Fix formatting errors
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit (1.1.1-0noble) noble; urgency=high

  * [feature][visualization] Clean up Rviz Motion Planning plugin, add tooltips (#2310 <https://github.com/ros-planning/moveit/issues/2310>)
  * [feature][moveit_servo] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature][moveit_setup_assistant] Allow showing both, visual and collision geometry (#2352 <https://github.com/ros-planning/moveit/issues/2352>)
  * [fix][moveit_setup_assistant] layout (#2349 <https://github.com/ros-planning/moveit/issues/2349>)
  * [fix][moveit_setup_assistant] group editing (#2350 <https://github.com/ros-planning/moveit/issues/2350>)
  * [fix][moveit_setup_assistant] disappearing robot on change of reference frame (#2335 <https://github.com/ros-planning/moveit/issues/2335>)
  * Contributors: Felix von Drigalski, Michael Görner, Robert Haschke, Tyler Weaver, Yoan Mollard

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit (1.1.0-0noble) noble; urgency=high

  * [maint] Use standard cmake text for metapackages (#1620 <https://github.com/ros-planning/moveit/issues/1620>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Jonathan Binney, Robert Haschke, Sean Yen

 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit (1.0.1-0noble) noble; urgency=high

  * [fix] segfault in chomp adapter (#1377 <https://github.com/ros-planning/moveit/issues/1377>)
  * [capability] Graphically print current robot joint states with joint limits (#1358 <https://github.com/ros-planning/moveit/issues/1358>)
  * [capability] python PlanningSceneInterface.add_cylinder() (#1372 <https://github.com/ros-planning/moveit/issues/1372>)
  * [capability] Add time-optimal trajectory parameterization https://github.com/ros-planning/moveit/pull/1365
  * [capability] FCL as a plugin  https://github.com/ros-planning/moveit/pull/1370
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Dave Coleman, Robert Haschke, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Mar 2019 00:00:00 -0000

ros-one-moveit (1.0.0-0noble) noble; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [fix][moveit_setup_assistant] memory leaks (#1292 <https://github.com/ros-planning/moveit/issues/1292>)
  * [fix][moveit_core] invert waypoint velocities on reverse (#1335 <https://github.com/ros-planning/moveit/issues/1335>)
  * [fix][moveit_core]  Added missing robot state update to iterative spline parameterization to prevent warnings. (#1298 <https://github.com/ros-planning/moveit/issues/1298>)
  * [fix][moveit_core]  robot_model_test_utils depends on message generation (#1286 <https://github.com/ros-planning/moveit/issues/1286>)
  * [capability][moveit_kinematics] Adapt ikfast plugin to new KinematicsBase API. #1320 <https://github.com/ros-planning/moveit/issues/1320>
  * [improve] computeCartesianPath: limit joint-space jumps with IK consistency limits (#1293 <https://github.com/ros-planning/moveit/issues/1293>)
  * [improve] cleanup LMA kinematics solver #1318 <https://github.com/ros-planning/moveit/issues/1318>
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * [improve] Kinematics tests, kdl cleanup #1272 <https://github.com/ros-planning/moveit/issues/1272>, #1294 <https://github.com/ros-planning/moveit/issues/1294>


=== debian/control ===
Source: ros-one-moveit
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin
Homepage: http://moveit.ai
Standards-Version: 3.9.2

Package: ros-one-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-moveit-commander, ros-one-moveit-core, ros-one-moveit-planners, ros-one-moveit-plugins, ros-one-moveit-ros, ros-one-moveit-setup-assistant
Description: Meta package that contains all essential package of MoveIt.
 Until Summer 2016 MoveIt had been developed over multiple repositories, where developers' usability and maintenance effort was non-trivial. See the detailed discussion for the merge of several repositories.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit 1.1.16-51jammy.20260301.2342

=== debian/changelog ===
ros-one-moveit (1.1.16-51jammy.20260301.2342) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Sun, 01 Mar 2026 23:42:06 +0000

## ros-one-moveit 1.1.16-51noble.20260301.2333

=== debian/changelog ===
ros-one-moveit (1.1.16-51noble.20260301.2333) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Sun, 01 Mar 2026 23:33:40 +0000
